<?php
namespace App\Util;

use \Datetime;

class DateUtil {
    public function isLastMonth($date) {
        $today = new DateTime();
        $lastMonth = $today->modify('-1 month');
        $lastMonth = $lastMonth->format('m');
        $date = DateTime::createFromFormat('d/m/Y H:i:s', $date);
        $monthDate = $date->format('m');
        return ($monthDate == $lastMonth);
    }

    public function isCurrentMonth($date) {
        $today = new DateTime();
        $date = DateTime::createFromFormat('d/m/Y H:i:s', $date);
        $monthDate = $date->format('m');
        $monthToday = $today->format('m');
        return ($monthDate == $monthToday);
    }

    public function isLastWeek($date) {
        $today = new DateTime();
        $date = DateTime::createFromFormat('d/m/Y H:i:s', $date);
        $daysDiff = $today->diff($date)->days;
        return ($daysDiff > 0 && $daysDiff < 7);
    }

    public function isToday($date) {
        $today = new DateTime();
        $date = DateTime::createFromFormat('d/m/Y H:i:s', $date);
        $today = $today->format('d-m-Y');
        $date = $date->format('d-m-Y');
        return ($today == $date);
    }
}

